<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>CSS Introduction</title>
	<!-- 

		Internal CSS
		
		We can apply style to multiple elements within the same tag or multiple elements as we selected.

		This style from internal CSS can only affect the effects where the internal CSS is added.
	 -->

	<!-- External CSS is the BEST PRACTICE of implementing stylings. -->
	<link rel="stylesheet" type="text/css" href="./style.css">
	<!-- We can implement external CSS to multiple pages. -->
<!-- 	<style type="text/css">
		h1 {
			color: pink;
			background-color: gray;
		}
	</style> -->


</head>
<body>
	<!-- 
		The styling attribute changes the styling properties of an element. This implementation of style is what is called inline styling.

		The value of style attribute are the properties of the element. 
		The values before the colon (:) are the element's properties.
		The values after the colon (:) are the values we would like to assign to our property.

		<tag style="property:value;">Text</tag>

		Multiple properties can be changed or assigned in our inline style.

		Inline style can become bulky and can become erratic.

		Inline styling is specific to the tag it attached to.

		Inline style is given more priority over internal style. Wherein the properties set with inline overrides the properties set via internal CSS.

		Specificity
		Inline > Internal > External

		However, external CSS is the BEST PRACTICE for implementation.


		<h1 style="color:red;font-size:100px;">Hello World!</h1>

	 -->
	<!-- nav bar -->
	<nav id="top">
		<a href="#landing">Zuitt</a>
		<div>
			<a href="#landing">Landing</a>
			<a href="#register">Register</a>
		</div>
	</nav>
	<!-- end of nav bar -->

	<!-- main content -->
	<h1>Hello world</h1>
	<section id="landing">
		<h2>Welcome to Zuitt</h2>
		<h3 id="zuitt-motto">Opportunities for Everyone, Everywhere!</h3>
		<img src="https://place-puppy.com/450x450">
		<ol id="bootcamp-learning-list">
		 	<!-- Class can be used to add styling to elements with the same class. Unlike ID, it can be implement to multiple elements. -->
		 	<li class="offering-item">Day Classes</li>
		 	<li class="offering-item">Night Classes</li>
		 	<li class="offering-item">Intro to Coding Event</li>
		</ol>
		<!-- 
			When assigning an element's id as href for anchor we can navigate to that part of page. 
		-->
		<a href="#top">Back to Top</a>
	</section>
	<section id="register">
		<h2>Register</h2>
		<form>
			<label for="first-name">First Name:</label>
			<input type="text" name="first-name" id="first-name" required autocomplete>

			<label for="last-name">Last Name:</label>
			<input type="text" name="last-name" id="last-name" required autocomplete>

			<label for="email">Email:</label>
			<input type="email" name="email" id="email" required autocomplete>

			<button type="submit">Apply Now!</button>
		</form>
		
		<a href="#top">Back to Top</a>
	</section>
</body>
</html>